Package org.apache.wiki.diff

## Class TraditionalDiffProvider

- java.lang.Object
- - org.apache.wiki.diff.TraditionalDiffProvider

All Implemented Interfaces:
  `WikiProvider`, `DiffProvider`

    public class TraditionalDiffProvider
    extends java.lang.Object
    implements DiffProvider

This is the JSPWiki 'traditional' diff. It uses an internal diff engine.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.wiki.diff.DiffProvider

`DiffProvider.NullDiffProvider`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Constructor Summary

Constructors
`TraditionalDiffProvider()` Constructs the provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getProviderInfo()`
`void` `initialize​(Engine engine, java.util.Properties properties)`
`java.lang.String` `makeDiffHtml​(Context ctx, java.lang.String p1, java.lang.String p2)` Makes a diff using the BMSI utility package.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraditionalDiffProvider

    public TraditionalDiffProvider()

Constructs the provider.

### Method Detail

#### getProviderInfo

    public java.lang.String getProviderInfo()

Specified by:
  `getProviderInfo` in interface `WikiProvider`
See Also:
  `WikiProvider.getProviderInfo()`

#### initialize

    public void initialize​(Engine engine,
                           java.util.Properties properties)
                    throws NoRequiredPropertyException,
                           java.io.IOException

Specified by:
  `initialize` in interface `WikiProvider`
Throws:
  `NoRequiredPropertyException`
  `java.io.IOException`
See Also:
  `WikiProvider.initialize(org.apache.wiki.api.core.Engine, java.util.Properties)`

#### makeDiffHtml

    public java.lang.String makeDiffHtml​(Context ctx,
                                         java.lang.String p1,
                                         java.lang.String p2)

Makes a diff using the BMSI utility package. We use our own diff printer, which makes things easier.

Specified by:
  `makeDiffHtml` in interface `DiffProvider`
Parameters:
  `ctx` - The WikiContext in which the diff should be made.
  `p1` - The first string
  `p2` - The second string.
Returns:
  Full HTML diff.